<?php
include_once("c_personal_person.php");
class c_page_cab_personal_person_ot extends c_page_cab_personal_person
{
  public $h1='Карточка сотрудника - охрана труда' ;

 function block_main()
 { $this->page_title() ;
   $this->panel_personal_ot() ;
 }

 function panel_personal_ot()
 {
   $rec_event=EVENTS()->get_event_by_id($GLOBALS['LS_esmo_PMO_event']) ;
   $rec_pass=EVENTS()->get_event_pass($rec_event['pkey'],$this->rec_personal['pkey']) ;
   $pmo_ot_info=EVENT_PMO()->get_pmo_len_info_to_person($rec_event,$this->rec_personal['pkey']) ;
   $inrm=$this->rec_personal['_so'][0]['inrm'] ;

    ?><table class="info">
      <tr><td>Должность:</td><td><strong id="name"><?echo $this->rec_personal['_work_name']?></strong></td></tr>
         <tr><td>ИНРМ:</td><td><strong id="name"><?echo $pmo_ot_info['inrm']?></strong></td></tr>
      <tr><td>Общий стаж:</td><td><strong id="name"><?echo $this->rec_personal['stazh']?></strong></td></tr>
      <tr><td>Стаж на последнем месте работы:</td><td><strong id="name"><?echo $this->rec_personal['stazh_last']?></strong></td></tr>
         <tr><td>ВПФ:</td><td><strong id="name"><?echo $pmo_ot_info['vfp_numbers']?></strong></td></tr>
         <tr><td>Переодичность ПМО по ВПФ</td><td><strong id="name"><?echo $pmo_ot_info['vpf_len_srok']?></strong></td></tr>
         </table>
     <table class="info">
	  <tr><th colspan="3">Расшифровка ВПФ</td></tr>
      <? if (_sizeof($arr_vpf)) foreach($arr_vpf as $rec)
         { ?><tr><td><?echo $rec['number']?></td><td id="pol"><?echo $rec['obj_name']?></td><td id="pol"><?echo $rec['period']?></td></tr><?
         }
      ?></table><?
 }

/*

 function generate_vpf_list($vpf_by_section,$section_id)
 {   $f1='' ;
     if (_sizeof($vpf_by_section[$section_id]))
     { $arr_number=array() ;  $arr_names=array() ;
       foreach($vpf_by_section[$section_id] as $vpf_number=>$vpf_name) { $arr_number[]=$vpf_number ; $arr_names[]=$vpf_name ; }
       //$f1=implode(', ',$arr_number).' ('.implode(';',$arr_names).')' ;
       $f1=implode(', ',$arr_number) ;
     }
     return($f1) ;
 }
*/

}



?>
